# Uses of Interface
org.apache.lucene.util.Bits

Packages that use Bits
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

## Uses of Bits in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return Bits
Modifier and Type
Method
Description
`abstract Bits`
LiveDocsFormat.`readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)`
Read live docs bits.
Methods in org.apache.lucene.codecs with parameters of type Bits
Modifier and Type
Method
Description
`abstract void`
KnnVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`abstract void`
KnnVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`abstract void`
LiveDocsFormat.`writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)`
Persist live docs bits.

## Uses of Bits in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw with parameters of type Bits
Modifier and Type
Method
Description
`void`
FlatVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
FlatVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`

## Uses of Bits in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 that return Bits
Modifier and Type
Method
Description
`Bits`
Lucene90LiveDocsFormat.`readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)`
Methods in org.apache.lucene.codecs.lucene90 with parameters of type Bits
Modifier and Type
Method
Description
`void`
Lucene90LiveDocsFormat.`writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)`

## Uses of Bits in org.apache.lucene.codecs.lucene95

Methods in org.apache.lucene.codecs.lucene95 that return Bits
Modifier and Type
Method
Description
`Bits`
OffHeapByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
`Bits`
OffHeapFloatVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
Methods in org.apache.lucene.codecs.lucene95 with parameters of type Bits
Modifier and Type
Method
Description
`Bits`
OffHeapByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
`Bits`
OffHeapFloatVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`

## Uses of Bits in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 that return Bits
Modifier and Type
Method
Description
`Bits`
OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
Methods in org.apache.lucene.codecs.lucene99 with parameters of type Bits
Modifier and Type
Method
Description
`Bits`
OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`getAcceptOrds(Bits acceptDocs)`
`void`
Lucene99HnswVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
Lucene99HnswVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`

## Uses of Bits in org.apache.lucene.codecs.perfield

Methods in org.apache.lucene.codecs.perfield with parameters of type Bits
Modifier and Type
Method
Description
`void`
PerFieldKnnVectorsFormat.FieldsReader.`search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
PerFieldKnnVectorsFormat.FieldsReader.`search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`

## Uses of Bits in org.apache.lucene.index

Classes in org.apache.lucene.index that implement Bits
Modifier and Type
Class
Description
`final class`
`MultiBits`
Concatenates multiple Bits together, on every lookup.
Fields in org.apache.lucene.index declared as Bits
Modifier and Type
Field
Description
`final Bits[]`
MergeState.`liveDocs`
Live docs for each reader
Methods in org.apache.lucene.index that return Bits
Modifier and Type
Method
Description
`Bits`
KnnVectorValues.`getAcceptOrds(Bits acceptDocs)`
Returns a Bits accepting docs accepted by the argument and having a vector value
`Bits`
SegmentReader.`getHardLiveDocs()`
Returns the live docs that are not hard-deleted.
`Bits`
FilterCodecReader.`getLiveDocs()`
`Bits`
FilterLeafReader.`getLiveDocs()`
`abstract Bits`
LeafReader.`getLiveDocs()`
Returns the `Bits` representing live (not deleted) docs.
`static Bits`
MultiBits.`getLiveDocs(IndexReader reader)`
Returns a single `Bits` instance for this reader, merging live Documents on the fly.
`Bits`
ParallelLeafReader.`getLiveDocs()`
`Bits`
SegmentReader.`getLiveDocs()`
`Bits`
SortingCodecReader.`getLiveDocs()`
Methods in org.apache.lucene.index with parameters of type Bits
Modifier and Type
Method
Description
`Bits`
KnnVectorValues.`getAcceptOrds(Bits acceptDocs)`
Returns a Bits accepting docs accepted by the argument and having a vector value
`final void`
CodecReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`final void`
CodecReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
ExitableDirectoryReader.ExitableFilterAtomicReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
ExitableDirectoryReader.ExitableFilterAtomicReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
FilterLeafReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
FilterLeafReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
`final TopDocs`
LeafReader.`searchNearestVectors(String field, byte[] target, int k, Bits acceptDocs, int visitedLimit)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`abstract void`
LeafReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`final TopDocs`
LeafReader.`searchNearestVectors(String field, float[] target, int k, Bits acceptDocs, int visitedLimit)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`abstract void`
LeafReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
`void`
ParallelLeafReader.`searchNearestVectors(String fieldName, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
ParallelLeafReader.`searchNearestVectors(String fieldName, float[] target, KnnCollector knnCollector, Bits acceptDocs)`
Constructors in org.apache.lucene.index with parameters of type Bits
Modifier
Constructor
Description
``
`MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
Create a new merge instance.

## Uses of Bits in org.apache.lucene.search

Methods in org.apache.lucene.search that return Bits
Modifier and Type
Method
Description
`Bits`
DocIdSet.`bits()`
Optionally provides a `Bits` interface for random access to matching documents.
Methods in org.apache.lucene.search with parameters of type Bits
Modifier and Type
Method
Description
`protected TopDocs`
ByteVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, Bits acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
`protected TopDocs`
FloatVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, Bits acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
`protected TopDocs`
KnnByteVectorQuery.`approximateSearch(LeafReaderContext context, Bits acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
`protected TopDocs`
KnnFloatVectorQuery.`approximateSearch(LeafReaderContext context, Bits acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
`abstract int`
BulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
Collects matching documents in a range and return an estimation of the next matching document which is on or after `max`.
`int`
ConstantScoreQuery.ConstantBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`
`int`
Weight.DefaultBulkScorer.`score(LeafCollector collector, Bits acceptDocs, int min, int max)`

## Uses of Bits in org.apache.lucene.util

Classes in org.apache.lucene.util that implement Bits
Modifier and Type
Class
Description
`static class`
`Bits.MatchAllBits`
Bits impl of the specified length with all bits set.
`static class`
`Bits.MatchNoBits`
Bits impl of the specified length with no bits set.
`class`
`BitSet`
Base implementation for a bit set.
`final class`
`FixedBitSet`
BitSet of fixed length (numBits), backed by accessible (`FixedBitSet.getBits()`) long[], accessed with an int index, implementing `Bits` and `DocIdSet`.
`class`
`SparseFixedBitSet`
A bit set that only stores longs that have at least one bit which is set.
Fields in org.apache.lucene.util declared as Bits
Modifier and Type
Field
Description
`static final Bits[]`
Bits.`EMPTY_ARRAY`
Methods in org.apache.lucene.util that return Bits
Modifier and Type
Method
Description
`Bits`
FixedBitSet.`asReadOnlyBits()`
Convert this instance to read-only `Bits`.
`Bits`
NotDocIdSet.`bits()`
Methods in org.apache.lucene.util with parameters of type Bits
Modifier and Type
Method
Description
`static FixedBitSet`
FixedBitSet.`copyOf(Bits bits)`
Make a copy of the given bits.

## Uses of Bits in org.apache.lucene.util.hnsw

Methods in org.apache.lucene.util.hnsw that return Bits
Modifier and Type
Method
Description
`Bits`
RandomVectorScorer.AbstractRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
`default Bits`
RandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
Returns the `Bits` representing live documents.
Methods in org.apache.lucene.util.hnsw with parameters of type Bits
Modifier and Type
Method
Description
`HnswGraphMerger`
HnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
Adds a reader to the graph merger to record the state
`IncrementalHnswGraphMerger`
IncrementalHnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
Adds a reader to the graph merger if it meets the following criteria: 1.
`Bits`
RandomVectorScorer.AbstractRandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
`default Bits`
RandomVectorScorer.`getAcceptOrds(Bits acceptDocs)`
Returns the `Bits` representing live documents.
`static KnnCollector`
HnswGraphSearcher.`search(RandomVectorScorer scorer, int topK, OnHeapHnswGraph graph, Bits acceptOrds, int visitedLimit)`
Search `OnHeapHnswGraph`, this method is thread safe.
`static void`
HnswGraphSearcher.`search(RandomVectorScorer scorer, KnnCollector knnCollector, HnswGraph graph, Bits acceptOrds)`
Searches HNSW graph for the nearest neighbors of a query vector.